Package org.eclipse.emf.cdo.common.revision

# Class CDORevisionCrawler.MessageDigestHandler

java.lang.Object
org.eclipse.emf.cdo.common.revision.CDORevisionCrawler.OutputStreamHandler
org.eclipse.emf.cdo.common.revision.CDORevisionCrawler.MessageDigestHandler

All Implemented Interfaces:
  `CDORevisionCrawler.Handler`

Enclosing class:
  `CDORevisionCrawler`

public static class CDORevisionCrawler.MessageDigestHandler extends CDORevisionCrawler.OutputStreamHandler
Handler implementation that calculates a message digest over crawled data.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionCrawler.OutputStreamHandler

`CDORevisionCrawler.OutputStreamHandler.IDMapper`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`MessageDigestHandler(MessageDigest digest)`
Constructs a MessageDigestHandler with the given digest.
``
`MessageDigestHandler(MessageDigest digest, boolean localIDs, CDOLobLoader lobLoader)`
Constructs a MessageDigestHandler with digest, local IDs, and optional LOB loader.
``
`MessageDigestHandler(MessageDigest digest, CDORevisionCrawler.OutputStreamHandler.IDMapper idMapper, CDOLobLoader lobLoader)`
Constructs a MessageDigestHandler with digest, custom ID mapper, and optional LOB loader.
`protected`
`MessageDigestHandler(CDODataOutput out, CDORevisionCrawler.OutputStreamHandler.IDMapper idMapper)`
Constructs a MessageDigestHandler with the given data output and ID mapper.

## Method Summary

### Methods inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionCrawler.OutputStreamHandler

`begin, beginRevision, doBeginRevision, doEndRevision, doHandleFeature, endRevision, finishLocalIDs, getLocalIDMapper, handleFeature`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionCrawler.Handler

`finish`

## Constructor Details

### MessageDigestHandler

public MessageDigestHandler(MessageDigest digest)
Constructs a MessageDigestHandler with the given digest.

Parameters:
  `digest` - the message digest

### MessageDigestHandler

public MessageDigestHandler(MessageDigest digest, boolean localIDs, CDOLobLoader lobLoader)
Constructs a MessageDigestHandler with digest, local IDs, and optional LOB loader.

Parameters:
  `digest` - the message digest
  `localIDs` - true to use local IDs
  `lobLoader` - the LOB loader, may be null

### MessageDigestHandler

public MessageDigestHandler(MessageDigest digest, CDORevisionCrawler.OutputStreamHandler.IDMapper idMapper, CDOLobLoader lobLoader)
Constructs a MessageDigestHandler with digest, custom ID mapper, and optional LOB loader.

Parameters:
  `digest` - the message digest
  `idMapper` - the ID mapper
  `lobLoader` - the LOB loader, may be null

### MessageDigestHandler

protected MessageDigestHandler(CDODataOutput out, CDORevisionCrawler.OutputStreamHandler.IDMapper idMapper)
Constructs a MessageDigestHandler with the given data output and ID mapper.